> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salu.com.vc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Position

<Info>
  This endpoint returns details for a <strong>position</strong>.
  The response uses the <code>PublicApiPositionBaseResponse</code> schema.
</Info>

## Overview

* **Method:** `GET`
* **Path:** `/v0/position/{position_id}`
* **OperationId:** `public_get_position_v0_position__position_id__get`
* **Authentication:** header `x-api-key` (`APIKeyHeader` in the OpenAPI)

<OpenAPIPlayground openapi="/public-api/openapi.json" operationId="public_get_position_v0_position__position_id__get" />

### Example Request

```bash theme={null}
curl -X GET "https://public-api.salu.com.vc/dev/routes/v0/position/{position_id}" \
  -H "Accept: application/json" \
  -H "x-api-key: $SALU_PUBLIC_API_KEY"
```


## OpenAPI

````yaml GET /v0/position/{position_id}
openapi: 3.1.0
info:
  title: Public API v0
  description: API publica da Salu para integracoes de SST.
  version: 0.1.0
servers:
  - url: https://public-api.salu.com.vc/dev/routes
    description: Development
  - url: https://public-api.salu.com.vc/prd/routes
    description: Production
security: []
paths:
  /v0/position/{position_id}:
    get:
      tags:
        - Position
        - Position
      summary: Public Get Position
      operationId: public_get_position_v0_position__position_id__get
      parameters:
        - name: position_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Position Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiPositionBaseResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    PublicApiPositionBaseResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        name:
          type: string
          title: Name
        is_active:
          type: boolean
          title: Is Active
        hr_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Hr Code
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        cbo:
          anyOf:
            - type: string
            - type: 'null'
          title: Cbo
        client_integration_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Integration Code
      type: object
      required:
        - id
        - organization_id
        - name
        - is_active
      title: PublicApiPositionBaseResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````